Find people
Employee Finder
Search all employees at a single company by job level, department, location, and seniority.
POST
/
v2
/
search
/
employee-finder
Employee Finder
curl --request POST \
--url https://api.blitz-api.ai/v2/search/employee-finder \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"company_linkedin_url": "https://www.linkedin.com/company/openai"
}
'import requests
url = "https://api.blitz-api.ai/v2/search/employee-finder"
payload = { "company_linkedin_url": "https://www.linkedin.com/company/openai" }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({company_linkedin_url: 'https://www.linkedin.com/company/openai'})
};
fetch('https://api.blitz-api.ai/v2/search/employee-finder', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"company_linkedin_url": "https://www.linkedin.com/company/openai",
"max_results": 3,
"results_length": 3,
"page": 1,
"total_pages": 1285,
"results": [
{
"first_name": "Eric",
"last_name": "Mitchell",
"full_name": "Eric Mitchell",
"nickname": null,
"civility_title": null,
"headline": null,
"about_me": "I co-lead (with Yann Dubois) the Post-training Frontiers team within Post-training at…",
"location": {
"city": null,
"state_code": null,
"country_code": "US",
"continent": "North America",
"postal_code": null,
"street_address": null
},
"linkedin_url": "https://www.linkedin.com/in/ericanthonymitchell",
"connections_count": 200,
"profile_picture_url": null,
"experiences": [
{
"company_name": "OpenAI",
"job_title": null,
"company_linkedin_url": "https://www.linkedin.com/company/openai",
"company_linkedin_id": "c51425c5-1b38-578d-a700-c5ca850261ae",
"company_domain": "openai.com",
"job_description": null,
"job_start_date": null,
"job_end_date": null,
"job_is_current": true,
"job_contract_type": null,
"job_work_arrangement": null,
"job_location": {
"city": null,
"state_code": null,
"country_code": null
}
}
],
"education": [],
"skills": [
"java",
"agile methodologies",
"objective-c",
"json",
"mobile applications",
"english",
"software development",
"python",
"customer service",
"c",
"ios development",
"scikit-learn",
"xcode"
],
"certifications": []
},
{
"first_name": "Alex",
"last_name": "Barron",
"full_name": "Alex Barron",
"nickname": null,
"civility_title": null,
"headline": "Member of Technical Staff | @OpenAI",
"about_me": null,
"location": {
"city": "San Francisco",
"state_code": "CA",
"country_code": "US",
"continent": "North America",
"postal_code": null,
"street_address": null
},
"linkedin_url": "https://www.linkedin.com/in/alexbarron1",
"connections_count": 200,
"profile_picture_url": null,
"experiences": [
{
"company_name": "OpenAI",
"job_title": "Member of Technical Staff",
"company_linkedin_url": "https://www.linkedin.com/company/openai",
"company_linkedin_id": "c51425c5-1b38-578d-a700-c5ca850261ae",
"company_domain": "openai.com",
"job_description": null,
"job_start_date": "2025-04-01",
"job_end_date": null,
"job_is_current": true,
"job_contract_type": null,
"job_work_arrangement": null,
"job_location": {
"city": "San Francisco",
"state_code": "CA",
"country_code": "US"
}
}
],
"education": [
{
"school_name": null,
"degree": "Bachelor of Science (BS)",
"start_date": "2013-01-01",
"end_date": "2017-01-01"
},
{
"school_name": null,
"degree": "Master of Science (MS)",
"start_date": "2016-01-01",
"end_date": "2017-01-01"
}
],
"skills": [
"microsoft office",
"python",
"c++",
"objective-c",
"c",
"javascript",
"swift",
"java"
],
"certifications": []
},
{
"first_name": "Shane",
"last_name": "Copenhagen",
"full_name": "Shane Copenhagen",
"nickname": null,
"civility_title": null,
"headline": "Independent Contractor | @OpenAI",
"about_me": "A Robotics Software Engineer with a BS in CS+Robotics from Colorado School of Mines. My…",
"location": {
"city": "Golden",
"state_code": "CO",
"country_code": "US",
"continent": "North America",
"postal_code": null,
"street_address": null
},
"linkedin_url": "https://www.linkedin.com/in/shane-copenhagen",
"connections_count": 200,
"profile_picture_url": null,
"experiences": [
{
"company_name": "OpenAI",
"job_title": "Independent Contractor",
"company_linkedin_url": "https://www.linkedin.com/company/openai",
"company_linkedin_id": "c51425c5-1b38-578d-a700-c5ca850261ae",
"company_domain": "openai.com",
"job_description": "Building AI-enabled tools and bots for the OpenAI Community.",
"job_start_date": "2023-02-01",
"job_end_date": null,
"job_is_current": true,
"job_contract_type": null,
"job_work_arrangement": null,
"job_location": {
"city": null,
"state_code": null,
"country_code": null
}
}
],
"education": [],
"skills": [
"javascript",
"computers",
"public speaking",
"banking",
"html5",
"database design",
"insurance",
"life insurance",
"spanish-english",
"java",
"css3"
],
"certifications": []
}
],
"fair_usage": {
"records_used": 3,
"records_remaining": 9913547,
"next_reset_at": "2026-09-29T10:25:23.155Z",
"rate_limit": {
"requests_per_second": 10,
"remaining_this_second": 9
},
"request_id": "019bae09-0055-7441-b2ea-16086e499219"
}
}{
"success": false,
"message": "The request body is not valid JSON. Send a JSON object with the header Content-Type: application/json."
}{
"success": false,
"message": "Invalid API key, please provide a valid API key in the 'x-api-key' header"
}{
"success": false,
"message": "Fair Use limit reached. Upgrade your plan at app.blitz-api.ai/billing or contact support to increase your monthly capacity."
}{
"success": false,
"message": "Not Found"
}{
"success": false,
"message": "Invalid request body. job_level[0]: Invalid value \"vp\". Allowed values: \"C-Team\", \"Director\", \"Manager\", \"Other\", \"Staff\", \"VP\".",
"errors": [
{
"field": "job_level[0]",
"message": "Invalid value \"vp\". Allowed values: \"C-Team\", \"Director\", \"Manager\", \"Other\", \"Staff\", \"VP\"."
}
]
}{
"success": false,
"message": "Rate limit exceeded, please try again later"
}
Agents & LLMs: a Markdown version of this page is available by appending .md to the URL, and the full documentation index is at llms.txt.
1 record per result
Pagination is page-based. Increment
page until page > total_pages to walk the full result set. Pagination is limited to maximum of 10k results.Employee Finder guide
Browse all employees at a target company with filters — full walk-through with examples.
Authorizations
Your Blitz API Key. Get one from https://app.blitz-api.ai
Body
application/json
Example:
"https://www.linkedin.com/company/openai"
Minimum string length:
2Example:
["US", "FR"]
Available options:
Africa, Antarctica, Asia, Europe, North America, Oceania, South America Example:
[
"Africa",
"Antarctica",
"Asia",
"Europe",
"North America",
"Oceania",
"South America"
]
Available options:
NORAM, LATAM, EMEA, APAC Example:
["NORAM", "LATAM", "EMEA", "APAC"]
Available options:
C-Team, Director, Manager, Other, Staff, VP Example:
[
"C-Team",
"Director",
"Manager",
"Other",
"Staff",
"VP"
]
Available options:
Advertising & Marketing, Art, Culture and Creative Professionals, Construction, Customer/Client Service, Education, Engineering, Finance & Accounting, General Business & Management, Healthcare & Human Services, Human Resources, Information Technology, Legal, Manufacturing & Production, Operations, Other, Public Administration & Safety, Purchasing, Research & Development, Sales & Business Development, Science, Supply Chain & Logistics, Writing/Editing Example:
[
"Advertising & Marketing",
"Art, Culture and Creative Professionals",
"Construction",
"Customer/Client Service",
"Education",
"Engineering",
"Finance & Accounting",
"General Business & Management",
"Healthcare & Human Services",
"Human Resources",
"Information Technology",
"Legal",
"Manufacturing & Production",
"Operations",
"Other",
"Public Administration & Safety",
"Purchasing",
"Research & Development",
"Sales & Business Development",
"Science",
"Supply Chain & Logistics",
"Writing/Editing"
]
Required range:
0 <= x <= 500Example:
200
Required range:
1 <= x <= 50Example:
3
Required range:
x >= 1Example:
1
Response
OK
The response is of type object.
⌘I
Employee Finder
